MYTHCOMMFLAG(1)

NAME
mythcommflag - MythTV Commercial Flagger

DESCRIPTION
mythcommflag version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

--chanid
    Specify chanid of recording to operate on.

--dry-run
    Don't actually queue operation, just list what would be done

-O, --override-setting
    Override a single setting defined by a key=value pair.

--override-settings-file
    Define a file of key=value pairs to be loaded for setting overrides.

--queue
    Insert flagging job into the JobQueue, rather than running flagging in the foreground.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--starttime
    Specify start time of recording to operate on.

Commflagging Options:

--method
    Commercial flagging method[s] to employ: off, blank, scene, blankscene, logo, all, d2, d2_logo, d2_blank, d2_scene, d2_all

--outputmethod
    Format of output written to outputfile, essentials, full.

--rebuild
    Do not flag commercials, just rebuild the seektable.

Advanced Options:

--force
    Force operation, even if program appears to be in use.

--outputfile
    File to write commercial flagging output [debug].

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

--noprogress
    Don't print progress on stdout.

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.

Input Options:

-f, --file
    Specify file to operate on.

--video
    Rebuild the seek table for a video (non-recording) file.